Bug 502915 - Teach rhn-register to know about multiple z stream channels per redhat-release
Teach rhn-register to know about multiple z stream channels per redhat-release
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Pradeep Kilambi
Garik Khachikyan
US=18022
:
Depends On: 356951 503243
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-05-27 14:57 EDT by Pradeep Kilambi
Modified: 2015-01-04 16:56 EST (History)
6 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 356951
Environment:
Last Closed: 2009-09-10 16:37:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
client registered with --use-eus-channel can alter base channel back to the base Rhel channel (178.61 KB, image/png)
2009-08-14 12:01 EDT, John Sefler
no flags Details

  None (edit)
Comment 4 John Sefler 2009-08-14 12:00:06 EDT
Re-verified in staged (Satellite-5.3.0-RHEL5-re20090724.0) with pushed package updates from Aug 12


On a client rlx-3-24 with Red Hat Enterprise Linux Server release 5.3 (Tikanga)
[root@rlx-3-24 ~]# rhnreg_ks --serverUrl=http://test1182.test.redhat.com/XMLRPC --username=john --password=dog8code --force --profilename=rlx-3-24EUS --use-eus-channel
The base channel selected by satellite was:
    RHEL Extended Update Support (v. 5.3.z for 32-bit x86)

Registering the client without --use-eus-channel
[root@rlx-3-24 ~]# rhnreg_ks --serverUrl=http://test1182.test.redhat.com/XMLRPC --username=john --password=dog8code --force --profilename=rlx-3-24
The base channel selected by satellite was:
    Red Hat Enterprise Linux (v. 5 for 32-bit x86)

And finally if I remove the entitlements to the EUS channel, and try to register with --use-eus-channel the base rhel channel gets subscribed to.
[root@rlx-3-24 ~]# rhnreg_ks --serverUrl=http://test1182.test.redhat.com/XMLRPC --username=john --password=dog8code --force --profilename=rlx-3-24EUS --use-eus-channel
The base channel selected by satellite was:
    Red Hat Enterprise Linux (v. 5 for 32-bit x86)

in Comment #3, Garik suggests that he has to choose channel "(none, disable service)" first when trying to change the registered system from an EUS base channel to the the base Rhel channel.  I did not have to do that.  I could modify the base channel directly.  Attaching a screenshot.  I believe this behaviour is best and correct.

The same verification was done for a client with 
Red Hat Enterprise Linux AS release 4 (Nahant Update 8)
when registering with --use-eus-channel resulted in subscription to
RHEL AS Extended Update Support (v. 4.8.z for 32-bit x86)

Moving to RELEASE_PENDING
Comment 5 John Sefler 2009-08-14 12:01:49 EDT
Created attachment 357470 [details]
client registered with --use-eus-channel can alter base channel back to the base Rhel channel
Comment 6 Brandon Perkins 2009-09-10 16:37:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.